---
title: Grid
description: Flexbox Grid and Legacy Grid (neat) with examples.
weight: 10
---

# Flexbox Grid

**This is the Netlify standard for grids moving forward.**

The backbone of the grid systems is [flexbox](http://flexbox.io/) and
flex based on the the items (based on an 8pt grid system).

## Eigth Column Grid (grid-eigth)
<div class="grid">
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
</div>
{{< example >}}
<div class="grid">
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
</div>
{{< /example >}}

## Half Column Grid (grid-half)
<div class="grid">
  <div class="grid-half styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">half</div>
  <div class="grid-half styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">half</div>
</div>
{{< example >}}
<div class="grid">
  <div class="grid-half"></div>
  <div class="grid-half"half</div>
</div>
{{< /example >}}

## Quarter Column Grid (grid-quarter)
<div class="grid">
  <div class="grid-quarter styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">quarter</div>
  <div class="grid-quarter styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">quarter</div>
  <div class="grid-quarter styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">quarter</div>
  <div class="grid-quarter styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">quarter</div>
</div>
{{< example >}}
<div class="grid">
  <div class="grid-quarter"></div>
  <div class="grid-quarter"></div>
  <div class="grid-quarter"></div>
  <div class="grid-quarter"></div>
</div>
{{< /example >}}

## Full Column Grid (grid-full)
<div class="grid">
  <div class="grid-full styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">full</div>
</div>
{{< example >}}
<div class="grid">
  <div class="grid-full"></div>
</div>
{{< /example >}}

## Mix Column Grid
<div class="grid">
  <div class="grid-quarter styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">quarter</div>
  <div class="grid-half styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">half</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444">eigth</div>
</div>
<div class="grid">
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444"> eigth</div>
  <div class="grid-eigth styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444"> eigth</div>
  <div class="grid-three-quarters styleguide-padding-block" style="padding: 10px;text-align: center;border:1px solid white;background-color: #444"> three-quarters</div>
</div>
{{< example >}}
<div class="grid">
  <div class="grid-quarter"></div>
  <div class="grid-half"></div>
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
</div>
<div class="grid">
  <div class="grid-eigth"></div>
  <div class="grid-eigth"></div>
  <div class="grid-three-quarters"></div>
</div>
{{< /example >}}

## Responsive Grid(grid-responsive)
**grid-responsive** is a flexible way to make your grid respond to
different browser sizes and fix width elements.

*Adjust your your screen size to see the magic*

<div class="grid grid-responsive">
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
  <div class="styleguide-padding-block" style="width: 200px; padding: 10px;text-align: center;border:1px solid white;background-color: #444">fixed</div>
</div>
{{< example >}}
<div class="grid grid-responsive"></div>
{{< /example >}}

# Legacy Grid (marketing site only)

This grid is currently used on the Marketing Site exclusively. This [Neat](http://neat.bourbon.io/) Grid system is depreciated and we will be using CSS3's native flexbox feature moving forward on all new development see [here](#flexbox-grid) for more details and examples.

For creating [Neat](http://neat.bourbon.io/) components please reference this [Grid Examples Page](http://neat.bourbon.io/examples/) for details.

**NOTE:** On the aforementioned [Grid Examples Page](http://neat.bourbon.io/examples/), do not use `@include` and add a `neat` prefix.

For example, `@include span-columns(4)` would be `@neat-span-columns 4` in our case.

## Neat utility Classes

`.container`

This utility class is to be used in wrapping a page/section - essentially sets a max-width and padding rules for varying viewport dimensions.

{{< example >}}
<div class="container"></div>
{{< /example >}}

`.half`

This utility class is to be used when trying to achieve a 2-column layout or 'half' of the 'container' (or viewport on smaller screens).

{{< example >}}
<div class="half"></div>
{{< /example >}}

`.third`

This utility class is to be used when trying to achieve a 3-column layout or 'third' of the 'container' (or viewport on smaller screens).

{{< example >}}
<div class="third"></div>
{{< /example >}}

`.quarter`

This utility class is to be used when trying to achieve a 4-column layout or 'quarter' of the 'container' (or viewport on smaller screens).

{{< example >}}
<div class="quarter"></div>
{{< /example >}}
